Web Browser Requirements for Applications

Issue/Question

Which applications require a certain web browser?

Environment

  • Internet Explorer (IE)
  • Chrome
  • Firefox
  • Edge
  • WebNow
  • WebExtender/Xtender
  • Evisions/Argos
  • Desire2Learn (D2L)
  • Duo Mobile
  • Cisco Finesse

Cause

Certain applications require different web browsers

Resolution

  1. Applications that require Internet Explorer
    1. WebNow see Problems Connecting to Webnow in Windows
    2. Evisions/Argos see Reporting Error While Using Evisions
    3. Cisco Finesse
  2. Applications that do not work with Internet Explorer
    1. Desire2Learn see Cannot Access D2L with Internet Explorer
    2. Duo Save for 30 Days option
    3. Banner Admin no longer supports Internet Explorer
    4. WebXtender/Xtender no longer supports Internet Explorer (10/2021)

Details

Article ID: 5331
Created
Fri 7/24/20 11:21 AM
Modified
Tue 10/5/21 8:08 AM
KCS Article Status
WIP: Only Problem & some Environment captured
Not Validated: Complete & Resolution captured, confidence lacks in structure, content, no feedback
Validated: Complete & reusable, used by licensed KCS user, confidence in resolution & std. compliance
Validated